﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace IGWpfTest
{
    public class GraphBrushes
    {
        static List<Brush> _Brushes = new List<Brush>()
        {
            new LinearGradientBrush(Colors.Red, Colors.DarkRed, 0.0),
            new LinearGradientBrush(Colors.LightGreen, Colors.DarkGreen, 0.0),
            new LinearGradientBrush(Colors.LightGoldenrodYellow, Colors.DarkGoldenrod, 0.0),
            new LinearGradientBrush(Colors.Orange, Colors.DarkOrange, 0.0),
            new LinearGradientBrush(Colors.LightBlue, Colors.DarkBlue, 0.0),
            new SolidColorBrush(Colors.Red),
            new SolidColorBrush(Colors.DarkRed),
            new SolidColorBrush(Colors.LightGreen),
            new SolidColorBrush(Colors.Green),
            new SolidColorBrush(Colors.DarkGreen),
            new SolidColorBrush(Colors.LightGoldenrodYellow),
            new SolidColorBrush(Colors.Goldenrod),
            new SolidColorBrush(Colors.DarkGoldenrod),
            new SolidColorBrush(Colors.Orange),
            new SolidColorBrush(Colors.DarkOrange),
            new SolidColorBrush(Colors.LightBlue),
            new SolidColorBrush(Colors.Blue),
            new SolidColorBrush(Colors.DarkBlue)
        };

        static public Brush GetBrush(int index)
        {
            return _Brushes[index % _Brushes.Count];
        }

        static public IEnumerable<Brush> Brushes { get { return _Brushes; } }
    }
}
